Skip to content

Create a new guest user

Request

This endpoint creates a new guest user which can be used as the buyer or the seller in a transaction. Guest users can be used to create transactions for users that don't yet have login details, or who choose not to use the logged-in user for creating the new transaction. Emails are sent to guest users which will contain details for adding guest transactions to their logged-in profile.

Security
APIKey
Bodyapplication/jsonrequired
country_codestringrequired
Example:"IE"
emailstring, non-emptyrequired
Example:"guest@test.com"
first_namestring, non-empty
Example:"Test"
last_namestring, non-empty
Example:"User"
tos_acceptanceobject(v2_users.TosAcceptance)required
Example:
{ "ip": "192.168.1.2", "unix_timestamp": 1672531200 }
POST
/v2/guest_users
curl -i -X POST \
  -u '<API_KEY>:​' \
  https://api.test.trustap.com/v2/guest_users \
  -H 'Content-Type: application/json' \
  -d '{
    "country_code": "IE",
    "email": "guest@test.com",
    "first_name": "Test",
    "last_name": "User",
    "tos_acceptance": {
      "ip": "192.168.1.2",
      "unix_timestamp": 1672531200
    }
  }'

Responses

Created

Bodyapplication/json
created_atstring, (date-time)required
Example:"2019-12-25T13:00:00Z"
deleted_atstring, (date-time)
emailstringrequired
Example:"jo@example.com"
idstringrequired
Example:"1-feb33a87-3917-4538-9260-127c8a6b5232"
Response
{ "created_at": "2019-12-25T13:00:00Z", "email": "jo@example.com", "id": "1-feb33a87-3917-4538-9260-127c8a6b5232" }